| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Digikam::ItemListerJobGrowingPartsSendingReceiver Class Reference
Inheritance diagram for Digikam::ItemListerJobGrowingPartsSendingReceiver:

## Public Member Functions
| ItemListerJobGrowingPartsSendingReceiver (DBJob *const job, int start, int end, int increment)
void | receive (const ItemListerRecord &record) override
Public Member Functions inherited from Digikam::ItemListerJobPartsSendingReceiver
| ItemListerJobPartsSendingReceiver (DBJob *const job, int limit)
void | receive (const ItemListerRecord &record) override
Public Member Functions inherited from Digikam::ItemListerJobReceiver
| ItemListerJobReceiver (DBJob *const job)
void | error (const QString &errMsg) override
void | sendData ()
Public Member Functions inherited from Digikam::ItemListerValueListReceiver
void | error (const QString &errMsg) override
void | receive (const ItemListerRecord &record) override

## Protected Attributes
int | m_increment = 0
int | m_maxLimit = 0
Protected Attributes inherited from Digikam::ItemListerJobPartsSendingReceiver
int | m_count = 0
int | m_limit = 0
Protected Attributes inherited from Digikam::ItemListerJobReceiver
DBJob *const | m_job = nullptr

## Additional Inherited Members
Public Attributes inherited from Digikam::ItemListerValueListReceiver
bool | hasError = false
QList< ItemListerRecord > | records

## Member Function Documentation

## ◆ receive()

void Digikam::ItemListerJobGrowingPartsSendingReceiver::receive | ( | const ItemListerRecord & | record | ) |
| override virtual

Implements Digikam::ItemListerReceiver.